### Method

# GimpUi ColorSelector set_channel

#### Declaration [src]

    void
    gimp_color_selector_set_channel (
      GimpColorSelector* selector,
      GimpColorSelectorChannel channel
    )

#### Description [src]

Sets the `channel` property of the `selector` widget.

Changes between displayed channels if this `selector` instance has the ability to show different channels. This will also update the color model if needed.

#### Parameters

`channel`

  Type: `GimpColorSelectorChannel`

  The new `channel` setting.